#include <QApplication>
#include <QDeclarativeProperty>
#include "qmlapplicationviewer.h"

Q_DECL_EXPORT int main(int argc, char *argv[])
{
    QScopedPointer<QApplication> app(createApplication(argc, argv));

    QmlApplicationViewer viewer;
    viewer.setOrientation(QmlApplicationViewer::ScreenOrientationAuto);
    viewer.setMainQmlFile(QLatin1String("qml/webbrowser/webbrowser.qml"));

    QObject* object = (QObject*)(viewer.rootObject());
     QDeclarativeProperty property(object, QString("urlString"));
     property.write(argv[1]);

    viewer.showFullScreen();
    qApp->setOverrideCursor( QCursor( Qt::BlankCursor ) );

    return app->exec();
}
